summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2011-02-03 17:30:53 +1100
committerAndrew Tridgell <tridge@samba.org>2011-02-07 13:22:00 +1100
commitb49973404c4afb6e3f04a37f002655a3157542e3 (patch)
tree6ac03b3987b8a71f1f986d2117854336e7b58dbe /testprogs
parent6484da4859fe9b00a7129d89e185bb7947621243 (diff)
downloadsamba-b49973404c4afb6e3f04a37f002655a3157542e3.tar.gz
samba-b49973404c4afb6e3f04a37f002655a3157542e3.tar.bz2
samba-b49973404c4afb6e3f04a37f002655a3157542e3.zip
blackbox: removed assumption of build directory
this fixes the blackbox tests for a top level build Pair-Programmed-With: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/subunit.sh8
-rwxr-xr-xtestprogs/blackbox/test_chgdcpass.sh6
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh3
-rwxr-xr-xtestprogs/blackbox/test_ktpass.sh3
-rwxr-xr-xtestprogs/blackbox/test_pkinit.sh3
5 files changed, 18 insertions, 5 deletions
diff --git a/testprogs/blackbox/subunit.sh b/testprogs/blackbox/subunit.sh
index 990bee57a6..b8e5b5b322 100755
--- a/testprogs/blackbox/subunit.sh
+++ b/testprogs/blackbox/subunit.sh
@@ -83,3 +83,11 @@ testit_expect_failure () {
fi
return $status
}
+
+# work out the top level source directory
+if [ -d source4 ]; then
+ SRCDIR="."
+else
+ SRCDIR=".."
+fi
+export SRCDIR
diff --git a/testprogs/blackbox/test_chgdcpass.sh b/testprogs/blackbox/test_chgdcpass.sh
index 7b89e5dcdd..c609efc312 100755
--- a/testprogs/blackbox/test_chgdcpass.sh
+++ b/testprogs/blackbox/test_chgdcpass.sh
@@ -21,9 +21,11 @@ shift 7
failed=0
samba4bindir="$BUILDDIR/bin"
+samba4srcdir="$SRCDIR/source4"
smbclient="$samba4bindir/smbclient$EXEEXT"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
-machineaccountccache="$BUILDDIR/scripting/bin/machineaccountccache"
+
+machineaccountccache="$samba4srcdir/scripting/bin/machineaccountccache"
. `dirname $0`/subunit.sh
@@ -52,7 +54,7 @@ testit "kinit with keytab" $samba4kinit $enctype -t $PROVDIR/private/secrets.key
#This is important because it puts the ticket for the old KVNO and password into a local ccache
test_smbclient "Test login with kerberos ccache before password change" 'ls' -k yes || failed=`expr $failed + 1`
-testit "change dc password" ./scripting/devel/chgtdcpass -s $PROVDIR/etc/smb.conf || failed=`expr $failed + 1`
+testit "change dc password" $samba4srcdir/scripting/devel/chgtdcpass -s $PROVDIR/etc/smb.conf || failed=`expr $failed + 1`
#This is important because it shows that the old ticket remains valid (as it must) for incoming connections after the DC password is changed
test_smbclient "Test login with kerberos ccache after password change" 'ls' -k yes || failed=`expr $failed + 1`
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index baabbb0252..635e228e06 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -21,6 +21,7 @@ shift 7
failed=0
samba4bindir="$BUILDDIR/bin"
+samba4srcdir="$SRCDIR/source4"
smbclient="$samba4bindir/smbclient$EXEEXT"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
samba_tool="$samba4bindir/samba-tool$EXEEXT"
@@ -29,7 +30,7 @@ ldbsearch="$samba4bindir/ldbsearch$EXEEXT"
rkpty="$samba4bindir/rkpty$EXEEXT"
samba4kpasswd="$samba4bindir/samba4kpasswd$EXEEXT"
enableaccount="$samba_tool enableaccount"
-machineaccountccache="$BUILDDIR/scripting/bin/machineaccountccache"
+machineaccountccache="$samba4srcdir/scripting/bin/machineaccountccache"
. `dirname $0`/subunit.sh
diff --git a/testprogs/blackbox/test_ktpass.sh b/testprogs/blackbox/test_ktpass.sh
index 579389f97e..c44439544b 100755
--- a/testprogs/blackbox/test_ktpass.sh
+++ b/testprogs/blackbox/test_ktpass.sh
@@ -15,6 +15,7 @@ shift 1
samba_tool="$BUILDDIR/bin/samba-tool"
samba4bindir="$BUILDDIR/bin"
+samba4srcdir="$SRCDIR/source4"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
@@ -26,7 +27,7 @@ KRB5CCNAME="$PREFIX/tmpccache"
export KRB5CCNAME
echo "testp@ssw0Rd" >$PREFIX/tmppassfile
testit "kinit with passwd" $samba4kinit -e arcfour-hmac-md5 --password-file=$PREFIX/tmppassfile $TESTUSER@SAMBA.EXAMPLE.COM || failed=`expr $failed + 1`
-testit "ktpass" $BUILDDIR/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ $TESTUSER --pass "testp@ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
+testit "ktpass" $samba4srcdir/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ $TESTUSER --pass "testp@ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
rm -f $KRB5CCNAME
diff --git a/testprogs/blackbox/test_pkinit.sh b/testprogs/blackbox/test_pkinit.sh
index 9a5741b16b..41798eaf6e 100755
--- a/testprogs/blackbox/test_pkinit.sh
+++ b/testprogs/blackbox/test_pkinit.sh
@@ -21,6 +21,7 @@ shift 7
failed=0
samba4bindir="$BUILDDIR/bin"
+samba4srcdir="$SRCDIR/source4"
smbclient="$samba4bindir/smbclient$EXEEXT"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
samba_tool="$samba4bindir/samba-tool$EXEEXT"
@@ -29,7 +30,7 @@ ldbsearch="$samba4bindir/ldbsearch$EXEEXT"
rkpty="$samba4bindir/rkpty$EXEEXT"
samba4kpasswd="$samba4bindir/samba4kpasswd$EXEEXT"
enableaccount="$samba_tool enableaccount"
-machineaccountccache="$BUILDDIR/scripting/bin/machineaccountccache"
+machineaccountccache="$samba4srcdir/scripting/bin/machineaccountccache"
. `dirname $0`/subunit.sh